Class UmlBaseAddVariableValueAction

Declaration :

- C++ : class UmlBaseAddVariableValueAction : public UmlAccessVariableValueAction
- Java : abstract class UmlBaseAddVariableValueAction extends UmlAccessVariableValueAction

Directly inherited by : UmlAddVariableValueAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new add variable value action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlAddVariableValueAction, exceptions : RuntimeException
- C++ : public: static UmlAddVariableValueAction * create(UmlItem * parent, const char * s)
- Java : public static UmlAddVariableValueAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseAddVariableValueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseAddVariableValueAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseAddVariableValueAction(void * id, const QCString & s) : UmlAccessVariableValueAction(id, s)
- Java : protected UmlBaseAddVariableValueAction(long id, String s)

Operation isReplaceAll

return the isReplaceAll attribute, if TRUE existing values of the variable must be removed before adding the new value

Declaration :

- Uml : + isReplaceAll() : bool
- C++ : public: bool isReplaceAll()
- Java : public boolean isReplaceAll()

Operation set_isReplaceAll

set the isReplaceAll attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isReplaceAll(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isReplaceAll(bool v)
- Java : public void set_isReplaceAll(boolean v) throws RuntimeException

Attribut _replace_all

Declaration :

- Uml : - _replace_all : bool
- C++ : private: bool _replace_all
- Java : private boolean _replace_all

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isReplaceAll , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isReplaceAll , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable